Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SAXOutputter

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SAXOutputter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

public class SAXOutputter
extends org.xml.sax.helpers.DefaultHandler
implements org.xml.sax.ext.LexicalHandler

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`SAXOutputter(SerializationContext context)`

Method Summary
`void` | `characters(char[] p1, int p2, int p3)`
`void` | `comment(char[] ch, int start, int length)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(java.lang.String namespace, java.lang.String localName, java.lang.String qName)`
`void` | `endEntity(java.lang.String name)`
`void` | `endPrefixMapping(java.lang.String p1)`
`void` | `ignorableWhitespace(char[] p1, int p2, int p3)`
`void` | `skippedEntity(java.lang.String p1)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
`void` | `startEntity(java.lang.String name)`
`void` | `startPrefixMapping(java.lang.String p1, java.lang.String p2)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`error, fatalError, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SAXOutputter

    public SAXOutputter(SerializationContext context)

Method Detail

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Overrides:
    `startDocument` in class `org.xml.sax.helpers.DefaultHandler`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String p1,
                                   java.lang.String p2)
                            throws org.xml.sax.SAXException

  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String p1)
                          throws org.xml.sax.SAXException

  Overrides:
    `endPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] p1,
                           int p2,
                           int p3)
                    throws org.xml.sax.SAXException

  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] p1,
                                    int p2,
                                    int p3)
                             throws org.xml.sax.SAXException

  Overrides:
    `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`

### skippedEntity

    public void skippedEntity(java.lang.String p1)
                       throws org.xml.sax.SAXException

  Overrides:
    `skippedEntity` in class `org.xml.sax.helpers.DefaultHandler`

### startElement

    public void startElement(java.lang.String namespace,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespace,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.